INIT_QUADTREE(5)
CREATE_RECTANGLE(Pikachu,4,4,2,2)
CREATE_RECTANGLE(Charmander,16,4,14,2)
CREATE_RECTANGLE(Squirtle,20,2,2,2)
CREATE_RECTANGLE(Bulbasaur,24,24,4,4)
CREATE_RECTANGLE(Cyndaquil,4,12,2,2)
CREATE_RECTANGLE(Totodile,28,24,2,2)
CREATE_RECTANGLE(Chikorita,28,8,2,2)
CREATE_RECTANGLE(Torchic,12,24,4,4)
CREATE_RECTANGLE(Mudkip,4,24,4,4)
CREATE_RECTANGLE(Treecko,8,28,10,4)
INSERT(Pikachu)
INSERT(Charmander)
INSERT(Squirtle)
INSERT(Bulbasaur)
INSERT(Cyndaquil)
INSERT(Totodile)
INSERT(Chikorita)
INSERT(Torchic)
INSERT(Mudkip)
INSERT(Treecko)
TRACE ON
TOUCH(Cyndaquil)
TOUCH(Squirtle)
TOUCH(Treecko)
WITHIN(Bulbasaur,1)
WITHIN(Treecko,0)
WITHIN(Chikorita,3)
HORIZ_NEIGHBOR(Totodile)
VERT_NEIGHBOR(Cyndaquil)
NEAREST_RECTANGLE(5,5)
NEAREST_RECTANGLE(31,15)
WINDOW(8,8,8,8)
WINDOW(24,8,8,8)
WINDOW(0,16,16,16)
